Subject: Re: linux-next: manual merge of the usb tree with the acpi tree

From: Greg KH <[email-masked]>
Date: Tue, 25 Sep 2012 15:39:21 -0700

On Mon, Sep 24, 2012 at 04:54:49PM +1000, Stephen Rothwell wrote:
> Hi Greg,
> 
> On Mon, 24 Sep 2012 16:49:16 +1000 Stephen Rothwell <[email-masked]> wrote:
> >
> > Today's linux-next merge of the usb tree got a conflict in
> > drivers/usb/core/usb-acpi.c between commit 59e6423ba8aa ("usb-acpi:
> > Comply with the ACPI API change") from the acpi tree and commit
> > 05f916894a69 ("usb/acpi: Store info on device removability") from the usb
> > tree.
> > 
> > The latter removed the function changed by the former, so I just did that
> > and can carry the fix as necessary (no action is required).
> 
> It also needed this merge fix patch:
> 
> From: Stephen Rothwell <[email-masked]>
> Date: Mon, 24 Sep 2012 16:51:38 +1000
> Subject: [PATCH] usb-acpi: Comply with the ACPI API change after usb tree
>  merge
> 
> Signed-off-by: Stephen Rothwell <[email-masked]>
> ---
>  drivers/usb/core/usb-acpi.c |    6 +++---
>  1 file changed, 3 insertions(+), 3 deletions(-)

Ick, thanks for this, hopefully Len handles this properly during the
merge window :)

greg k-h